# POE 消息转发器

一个简单的 Path of Exile (POE) 游戏消息转发工具，可以将游戏中的交易请求和私聊消息转发到指定的消息服务。

## 功能特点

- 自动监控 POE 游戏日志
- 转发交易请求消息
- 转发私聊消息
- 系统托盘运行
- 支持日志查看
- 可配置的转发选项

## 安装使用

1. 从 [Releases](https://git.xj.rs/Shrug/POE2_Message_Forwarder/releases) 下载最新版本的 `POE_Message_Forwarder.exe`

2. 首次运行程序会自动创建配置文件 `config.json`

3. 编辑 `config.json` 配置文件：

```json
{
"CLIENT_LOG_PATH": "C:/Program Files (x86)/Grinding Gear Games/Path of Exile 2/logs/Client.txt",
"API_URL": "https://al.xj.rs/api/v1/send",
"API_KEY": "API_KEY",
"TRADE_MESSAGES_CONFIG": {
"enabled": true,
"message_forward": true
},
"CHAT_MESSAGES": {
"enabled": true,
"message_forward": true
}
}
```

### 配置说明

- `CLIENT_LOG_PATH`: POE 客户端日志文件路径
- `API_URL`: 消息转发服务的 API 地址
- `API_KEY`: 你的 API 密钥（必填）
- `TRADE_MESSAGES_CONFIG`: 交易消息配置
  - `enabled`: 是否启用交易消息处理
  - `message_forward`: 是否转发交易消息
- `CHAT_MESSAGES`: 私聊消息配置
  - `enabled`: 是否启用私聊消息处理
  - `message_forward`: 是否转发私聊消息

### 运行程序

1. 确保已正确配置 `config.json`
2. 双击运行 `POE_Message_Forwarder.exe`
3. 程序会在系统托盘显示图标
4. 右键点击托盘图标可以：
   - 查看运行状态
   - 打开日志文件
   - 打开配置文件
   - 退出程序

## 日志文件

程序运行日志保存在 `poe_forwarder.log` 文件中，可以通过托盘菜单打开查看。

## 注意事项

- 首次运行需要配置 API 密钥
- 确保 POE 客户端日志路径正确
- 程序需要持续运行才能转发消息
- 如遇问题可查看日志文件排查

## 许可证

MIT License